<?php
// This script is the front page that shows the module summaries and admin area
include('header.php');

// Check for session variables to see if the user is logged in
session_start();

// Retrieve the global preferences
$global_prefs = $mm->getGlobalPrefs();

//  Retrieve the global language text array
$lang = $global_prefs['lang'];
require("lang/$lang.php");

if ($_GET['module']) {
	$module = $_GET['module'];
	$do = $_GET['do'];
} elseif ($_POST['module']) {
	$module = $_POST['module'];
	$do = $_POST['do'];
}


?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
	<head>
		<link rel="stylesheet" href="themes/<?php echo $global_prefs['theme'];?>.css" type="text/css">
		<script language="javascript" type="text/javascript" src="validate.js"></script>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<?php
		// These lines are so that the module can use its own page titles
		// And if they want to include any javascript etc
		if ($module && file_exists("modules/$module/head.php"))
		{
			include("modules/$module/head.php");
		} else {
			echo "<title>{$global_text['welcome']}</title>";
		}
		?>
	</head>
	<body>
		<div align="center">
			<div id="pageborder">

			<a href="index.php">
			<div id="title">
			</div>
			</a>
			
			<br>
			<?php

			// If no module is loaded, we show the front page
			if (!$module) {


					// Module Summary Section

					if ($dir = @opendir("modules/")) {
						$modules_list = array();
						// Get all modules into an array so that we can sort it
						while (($file = readdir($dir)) !== false) {
							if ($file != "." && $file != ".." && file_exists("modules/$file/summary.php")) {
								array_push($modules_list, $file);
							};
						};
						// Sort the modules list alphabetically
						sort($modules_list);
						// Now show all the module summaries
						while (list($key, $val) = each($modules_list)) {
								echo "<table id=\"summarybox\"><tr><td>";
								include("modules/$val/summary.php");
								echo "</table><br>";

						};


					};

					if ($_SESSION['level']) {
					// If the user IS logged in, show the admin box.
					?>
					<table class="admin" cellpadding="2">
						<tr>
							<td>

							<table>
								<tr>
									<td>
      									<p class="admintext">
									<?php echo $global_text['userdetailsfor'];?>
									</p>
									</td>
									</p>
									<form action="details.php" method="get">
									<td>
									<select class="adminlist" name="id">
									<?php
									$result = $mm->dbQuery("SELECT * FROM global_users WHERE user_name != 'super' ORDER BY real_name");
         								while ($row = $mm->dbFetchArray($result)) {
										echo "\n<option class=\"adminlist\" value=\"{$row['user_id']}\">{$row['real_name']}</option>";
									};
									echo "</select>";
									?>
									<input class="adminbutton" type="submit" value="<?php echo $global_text['go'];?>">
									</td>
									</form>
								</tr>
							</table>
							</td>

							<td>

							<?php
							// If the logged in user is a super user, show more options
							if ($_SESSION['level'] == "3") {
							?>
								<a class="admintext" href="options.php?action=globaloptions"><?php echo $global_text['globaloptionsshort'];?></a>&nbsp;&nbsp;
								<a class="admintext" href="add.php?action=user"><?php echo $global_text['addnewuser'];?></a><br>

							<?php
							};
							?>

								<a class="admintext" href="options.php?action=chpwd"><?php echo $global_text['changemypass'];?></a>&nbsp;&nbsp;
								<a class="admintext" href="authenticate.php?action=logout"><?php echo "{$global_text['logout']} {$_SESSION['username']}";?></a>&nbsp;

						</tr>
					</table>
					<br>
			<?php
					// If the viewer isn't logged in, show the login box
					} elseif (!$_SESSION['level']) {
					?>
						<table class="admin">
							<tr>
								<form action="authenticate.php" method="post">
								<td align="right" class="adminlabel">
								<?php echo $global_text['username'];?>
								</td>
								<td align="left">
								<input class="admintext" name="username" type="text" size="15" maxlength="15">
								<input type="hidden" name="r_username" value="<?php echo $global_text['usernamemissing'];?>">
								</td>
								<td align="right" class="adminlabel">
								&nbsp;&nbsp;<?php echo $global_text['password'];?>
								</td>
								<td>
								<input class="admintext" name="password" type="password" size="15" maxlength="50">
								<input type="hidden" name="r_password" value="<?php echo $global_text['passwordmissing'];?>">
								</td>
								<td align ="center" colspan="2">
								<input class="adminbutton" type="button" value="<?php echo $global_text['login'];?>" onclick="check(form,form.elements.length)">
								</div>
								</td>
								</form>
							</tr>
						</table>
						<br>
					<?php
					}

					// Create a couple of columns for the next two optional boxes
					// if either of theme are to be displayed
					if ($global_prefs['theme_credits'] == 'on' OR $global_prefs['notify_new'] == 'on') {
						echo "<table><tr><td valign=\"top\">";

						// Show the theme About box if available and enabled
						$theme_dir = strtolower($global_prefs['theme']);
						if (file_exists("themes/$theme_dir/about") && $global_prefs['theme_credits'] == 'on') {
						?>
							<table class="theme">
								<tr>
									<td align="center" colspan="3">
									<p class="themetitle">
									<?php echo "{$global_text['aboutthistheme']} - {$global_prefs['theme']}";?>
									</p>
									</td>
								</tr>
									<td align="left">
									<p class="themetext">
									<?php
									include("themes/$theme_dir/about");
									?>
									</p>
									</td>
								</tr>
							</table>
							<br>
						<?php
						};
						echo "</td><td valign=\"top\">";
						// Show the new release notification if enabled in the global prefs.
						// It's turned off by default.  Some people don't like software phoning home.
						if ($global_prefs['notify_new'] == 'on') {
							$get_current=fopen("http://mediamate.rocks.cc/current_release","r");
							while ($line=fgets($get_current,4096)) {
							$current_release.=$line;
							};
							fclose ($get_current);

							$get_this=fopen("release","r");
							while ($line=fgets($get_this,4096)) {
							$this_release.=$line;
							};
							fclose ($get_this);

							if ($current_release > $this_release) {
							?>
							<table class="theme">
								<tr>
									<td align="center" colspan="3">
									<p class="themetitle">
									<?php echo $global_text['newrelease'];
									?>

									</p>
									</td>
								</tr>
								<tr>
									<td>
									<p class="themetext">
									<?php echo "$current_release {$global_text['hasbeenreleased']}<br>{$global_text['considerupgrading']}";?>
									</p>
									</td>
								</tr>
							</table>
							<?php
							};
						};
						echo "</td></tr></table><br>";

					};
					echo "<a class=\"returnlink\" href=\"http://mediamate.rocks.cc/\">{$global_text['mediamatehomepage']}</a>";


			// The rest of this script is run if there's a module requested
			} elseif (file_exists("modules/$module")) {
				// Include the correct translation, or English if it's not available
				if (file_exists("modules/$module/lang/$lang.php"))
				{
					require("modules/$module/lang/$lang.php");
				} else {
					require("modules/$module/lang/en.php");
				}

				include("modules/$module/$do.php");

			echo "<br><a class=\"returnlink\" href=\"index.php\">{$global_text['returntofront']}</a>";
			// End of modules and end of script
			} else {
				echo "<div align=\"center\">{$global_text['nomodule']}</div>";
				echo "<br><a class=\"returnlink\" href=\"index.php\">{$global_text['returntofront']}</a>";
			};
				if (($_SESSION['level'] > "1") && (!$module)) {
					// If the user IS logged in, show the admin box on the front page.
					?>
					<br>

				<?php
				}
				?>
			</div>
		</div>
	</body>
</html>
